commit:     7c8c6e33c170be57e412d55b184e575b696d64d2
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 11 20:34:14 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug 11 20:34:14 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c8c6e33

xfce-base/libxfce4ui: Bump to 4.14.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-base/libxfce4ui/Manifest                 |  1 +
 xfce-base/libxfce4ui/libxfce4ui-4.14.0.ebuild | 72 +++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/xfce-base/libxfce4ui/Manifest b/xfce-base/libxfce4ui/Manifest
index 548a813b4a6..130c6401fb8 100644
--- a/xfce-base/libxfce4ui/Manifest
+++ b/xfce-base/libxfce4ui/Manifest
@@ -1,2 +1,3 @@
 DIST libxfce4ui-4.13.4.tar.bz2 684065 BLAKE2B 
1da875832683b5e06b8e91b4078be8122ae85a91560d7b1768cb8c880fcf5e1d7cd07d24927ae3325ba9c500c6c2cd30e717e517775492b9948add0711f5aa40
 SHA512 
c82d6ff7ea0da4fc0f664bab92f1e9531162996a26bb092e6ba651cfc4551732cbcd8023908d428b47906c17c331c14bf4804256566ca564befa218dc1194206
 DIST libxfce4ui-4.13.7.tar.bz2 738592 BLAKE2B 
e59727f05d4772a164ed097ad8629a7327a8a6eafb99d78f3aab093879195b20d2e7f7192dbc3f1c8df67836b98695d274e64744dc57271bd87f9cd1e6e50adc
 SHA512 
bcee0bd7b1f1200c195809b8484778326d02637c06754e876d0fdcdfb860ea642fc342c3fc5cb4b181bfbd58f17a695cc1fa1b318725f774f3b79e544ee4b32d
+DIST libxfce4ui-4.14.0.tar.bz2 756239 BLAKE2B 
72a7ef23140c45cc71b077a5e5ec6e985b293fa4065a13fe648f81f05cf7e428657e9eed2f4339353cbe42979d84e8253c5518a345b1c2f509091899e4ed4053
 SHA512 
1d4ba1260547cde3960ea36f797b8b3fd14113f6f84363b429fb470879e9e9e835ada2be2071f7c53d7c6a8d631b460651f37cbcb232c2ca320ecaf6ba619be0

diff --git a/xfce-base/libxfce4ui/libxfce4ui-4.14.0.ebuild 
b/xfce-base/libxfce4ui/libxfce4ui-4.14.0.ebuild
new file mode 100644
index 00000000000..e44453634d3
--- /dev/null
+++ b/xfce-base/libxfce4ui/libxfce4ui-4.14.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit xdg-utils vala
+
+DESCRIPTION="Unified widget and session management libs for Xfce"
+HOMEPAGE="https://wiki.gentoo.org/wiki/No_homepage";
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="LGPL-2+ GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc 
~x86 ~amd64-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="debug glade introspection startup-notification vala"
+REQUIRED_USE="vala? ( introspection )"
+
+RDEPEND=">=dev-libs/glib-2.42:2=
+       >=x11-libs/gtk+-2.24:2=
+       >=x11-libs/gtk+-3.18:3=[introspection?]
+       x11-libs/libX11:=
+       x11-libs/libICE:=
+       x11-libs/libSM:=
+       >=xfce-base/libxfce4util-4.12:=[introspection?]
+       >=xfce-base/xfconf-4.12:=
+       glade? ( dev-util/glade:3.10= )
+       introspection? ( dev-libs/gobject-introspection:= )
+       startup-notification? ( x11-libs/startup-notification:= )
+       !xfce-base/xfce-utils"
+DEPEND="${RDEPEND}
+       dev-lang/perl
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig
+       vala? ( $(vala_depend) )"
+
+src_prepare() {
+       # stupid vala.eclass...
+       default
+}
+
+src_configure() {
+       local myconf=(
+               $(use_enable introspection)
+               $(use_enable startup-notification)
+               $(use_enable vala)
+               # TODO: check revdeps and make it optional one day
+               --enable-gtk2
+               # requires deprecated glade:3 (gladeui-1.0), bug #551296
+               --disable-gladeui
+               # this one's for :3.10
+               $(use_enable glade gladeui2)
+               --with-vendor-info=Gentoo
+       )
+
+       use vala && vala_src_prepare
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to